Skip to content

Generate Names

POST
/api/creative/utilities/names/generate

Generate lore-aware names for a given entity type.

NameGenerateRequest

Request to generate lore-aware names.

object
entityType
required
LoreEntryType

Type of entity to generate names for

string
Allowed values: article character location item event faction concept species language religion legends plot custom
count
Count

How many names to generate

integer
default: 5 >= 1 <= 20
cultureEntryId
Any of:
string
styleNotes
Any of:
string
temperature
Temperature

Generation creativity (0=conservative, 2=wild)

number
default: 0.8 <= 2

Successful Response

NameGenerateResponse

Response containing generated names.

object
names
required
Names

Generated names

Array<object>
GeneratedName

A single generated name with optional meaning.

object
name
required
Name

The generated name

string
meaning
Any of:
string
isDuplicate
Isduplicate

True if this name matches an existing entity

boolean
entityType
required
LoreEntryType

Entity type that was requested

string
Allowed values: article character location item event faction concept species language religion legends plot custom
contextEntryCount
required
Contextentrycount

How many existing names were used as style context

integer
usedFallback
required
Usedfallback

True if Markov fallback was used instead of LLM

boolean
cultureName
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object